# fix_modify AtC contour_integral

## syntax

fix_modify AtC transfer contour_integral [field] faceset [name] <axis [x | y | z]>

- field (string) : name of hardy field
- name (string) : name of faceset
- axis (string) : x or y or z

## examples

`fix_modify AtC transfer contour_integral stress faceset loop1`

## description

Calculates a surface integral of the given field dotted with the outward normal of the faces and puts output in the "GLOBALS" file

## restrictions

Must be used with the hardy AtC transfer ( see fix atc command )

## related

## default

none